> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magnific.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

## Call example

<div className="my-11">
  <Note>First [Generate your API KEY](https://www.magnific.com/user/api-keys).</Note>
</div>

```bash curl example theme={null}
curl --request POST \
  --url https://api.magnific.com/v1/ai/text-to-image \
  --header 'Content-Type: application/json' \
  --header 'x-magnific-api-key: <api-key>' \
  --data '{
    "prompt": "Crazy dog in the space",
    "negative_prompt": "b&w, earth, cartoon, ugly",
    "guidance_scale": 2,
    "seed": 42,
    "num_images": 1,
    "image": {
      "size": "square"
    },
    "styling": {
      "style": "anime",
      "color": "pastel",
      "lightning": "warm",
      "framing": "portrait"
    }
  }'
```

<div className="my-11">
  <Columns>
    <Card title="POST /v1/ai/text-to-image" icon="wand-magic-sparkles" href="/api-reference/text-to-image/get-image-from-text">
      Generate images using text prompts
    </Card>
  </Columns>
</div>
